#include ONCE "window9.bi"

function E_O_F(fp as handle) as Long export
	
	'the function of the C language 'feof' - shows the end of the file after not a valid read operation, therefore not suitable for this function! 
 	
	dim as Long iBackupPos = ftell(fp)
	
	fseek(fp, 0, SEEK_END)
	
	function = (ftell(fp)=iBackupPos)
	
	fseek(fp, iBackupPos, SEEK_SET)

End Function